<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Logius XBRL Instance processor</title>
</head>
<body>
<h1>Introduction</h1>
These are the main functions of our XBRL (batch) instance processor.
We have created this to experiment with ways to make XBRL data more accessible.
We also use it as a toolkit to work with XBRL formula's.
<p>
This instance processor expects a batch of instances with the same entrypoint as a validation endpoint.
<br>
Instance_dir needs to be set in conf/config.yaml
</p>

<p>
TODO: Add endpoint for instance splitter
</p>

<a href="/find_contexts">Find Contexts</a><br>
<p>Prints a count of how many times each context is used within the batch of instances</p>

<a href="/generate_dataframes">Generate Dataframes</a><br>
<p>Generates dataframes to be further used in other solutions</p>

<a href="/test_formulas">Test formula's (todo: dts)</a><br>
<p>Tests how well the instances in the batch follow the XBRL formula's within the taxonomy</p>

<h3>Reports</h3>
<p>Generate various reports</p>
<a href="/count_escaped_characters">Returns an overview of escaped characters found in the instances.
    </a><br>
    If none are found, this returns an empty JSON <br><br>
<a href="/count_used_elements">Count the times an element is used (todo: dts)</a><br>


</body>
</html>